from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XControllerBorder(XInterface, Protocol):
    def getBorder(self) -> BorderWidths: ...
    def addBorderResizeListener(self, xListener: XBorderResizeListener) -> None: ...
    def removeBorderResizeListener(self, xListener: XBorderResizeListener) -> None: ...
    def queryBorderedArea(self, aPreliminaryRectangle: Rectangle) -> Rectangle: ...
